Bug 805601 - update import instructions
update import instructions
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dan Macpherson
pushpesh sharma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 12:35 EDT by wes hayutin
Modified: 2014-08-04 18:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 02:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2012-03-21 12:35:04 EDT
Description of problem:

Current:
5.6.2.5. Import options
There are no additional options to use with the import command. Use the general options with the import command.
aeolus image import --provider NAME1 --target NAME1 --id ID
Example 5.6. Examples for import command
Import image from a provider:
# aeolus image import --provider ec2-us-east-1 --target ec2 --id ami-8d0cdce4 --description '<image><name>myAMI</name></image<'

5.6.2.6. Delete options
Use the following options with the delete command.
Delete options
-I, --image IMAGEID
Delete an image and all associated builds.
-B, --build BUILDID
Delete a single build and all associated target images.
-m, --targetimage TARGETID
Delete a single target image from a build and all associated cloud resource provider images.
-D, --providerimage PROVIDERIMAGEID
Delete a single image on a cloud resource provider.



##########################################################

[root@qeblade30 nodes]# aeolus image import --help
Usage: aeolus [image] [subcommand] [general options] [command options]

    -h, --help                       Get usage information for this tool

URL with credentials to Conductor are set in ~/.aeolus-cli
Conductor URL should point to https://<host_where_conductor_runs>/conductor/api
Usage: aeolus-image import [command options]

Options:
    -d, --id ID                      id for a given object
    -r, --description NAME           description (e.g. "<image><name>MyImage</name></image>" or "/home/user/myImage.xml")
    -A, --account NAME,NAME          name of specific account to import to
    -E, --environment ENVIRONMENT    environment to import into
    -h, --help                       Get usage information for this command

Examples:
aeolus-image import --account my-ec2 --id $ami_id --environment default # import an AMI from the specified provider
aeolus-image import --account my-ec2 --id $ami_id --environment default --description '<image><name>My Image</name></image>' # import an AMI from the specified provider
aeolus-image import --account my-ec2 --id $ami_id --environment default --description <path_to_xml_file> # import an AMI from the specified provider

RHEV:
Enter the template id for the provider image id. The template id can be found through the RHEV REST API.
For example: curl https://rhevm.example.org:8443/api/templates --user user@rhevm_domain:password

N.B. Aeolus Credentials should be defined in the configuration file ~/.aeolus-cli
Comment 4 pushpesh sharma 2012-04-05 02:44:54 EDT
Documentation for the import command in the current doc is coherent and make sense for me.Marking this bugs as verified.  




link for the doc is 

http://documentation-stage.bne.redhat.com/docs/en-US/CloudForms/1.0/html/Cloud_Engine_User_Guide/aeolus-image-commands-import.html
Comment 5 Lana Brindley 2012-06-07 02:21:02 EDT
Document is now available on docs.redhat.com. Please raise a new bug for any further issues.

LKB

Note You need to log in before you can comment on or make changes to this bug.